Groovy 1.7.0

## org.codehaus.groovy.transform
Interface ASTTransformation

    interface ASTTransformation

This is the delegate class for GroovyASTTransformations.

author:
  Danno Ferrin (shemnon)

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` The call made when the compiler encounters an AST Transformation Annotation

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  The call made when the compiler encounters an AST Transformation Annotation
  param:
    nodes The ASTnodes when the call was triggered
  param:
    source The source unit being compiled

Copyright © 2003-2009 The Codehaus. All rights reserved.